collapse

* Links de Robótica

* Posts Recentes

Compra colectiva seeedstudio por beirao
[Ontem às 23:06]


Robot Wars International Special por beirao
[12 de Dezembro de 2017, 22:52]


Docker por nnr
[12 de Dezembro de 2017, 13:41]


Comprar transformador de +/-12Volts por jm_araujo
[12 de Dezembro de 2017, 10:16]


Embedded World 2018 por KammutierSpule
[12 de Dezembro de 2017, 09:05]


Esquema Fonte Bancada por almamater
[12 de Dezembro de 2017, 08:13]


Meu projecto - Arm Robot com arduino por Diogo Bento
[11 de Dezembro de 2017, 23:18]


Ajuda Projecto IR / RF por dio123
[09 de Dezembro de 2017, 10:53]


Drivers Arduino UNO! por dio123
[09 de Dezembro de 2017, 10:46]


Problema em converter codigo C arduino para C + Pigpio na raspberry por vasco
[08 de Dezembro de 2017, 19:22]

Autor Tópico: Como usar ficheiros lisp no Draftsight?  (Lida 287 vezes)

0 Membros e 1 Visitante estão a ver este tópico.

Offline brunus

  • Mini Robot
  • *
  • Mensagens: 164
Como usar ficheiros lisp no Draftsight?
« em: 27 de Dezembro de 2016, 23:09 »
Precisava de estimar, calcular o perímetro de todas as linhas, segmentos, curvas de um desenho no draftsight. Pelo que percebi não existe essa função por defeito, ou se existe, é preciso andar a selecionar o inicio e fim de cada segmento e se forem mais de 300 segmentos/polylines, torna-se inviável.

Pesquisando o assunto, dei com um forum onde pessoal expõe programas ou uma série de linhas de comando para se usar com o autolisp.

um exemplo:
Citar
Give this a try:
Código: [Seleccione]
(defun c:tlen (/ n e ss rjp-getlength)
  (defun rjp-getlength (e / ep)
    (if (= (type e) 'ename)
      (setq e (vlax-ename->vla-object e))
    )
    (if (not (vl-catch-all-error-p
               (setq ep (vl-catch-all-apply 'vlax-curve-getendparam (list e)))
             )
        )
      (vlax-curve-getdistatparam e ep)
      0.0
    )
  )
  (setq n 0)
  (if (setq ss (ssget))
    (progn (while (setq e (ssname ss 0))
             (setq n (+ (rjp-getlength e) n))
             (ssdel e ss)
           )
           (alert (rtos n))
    )
  )
  (princ)

Como posso usar isto no Draftsight?

1) Para gravar o ficheiro em lisp, basta colocar estas linhas no notepad e gravar com a extensão .lsp?
2) Como executo o ficheiro lisp no Draftsight? ou qual a linha de comandos?
3) É preciso compilar o ficheiro lisp ou colocá-lo em alguma pasta ou directorio do Draftsight?